#include <sys/types.h>
#include <sys/time.h>
#include <fcntl.h>
#include <ttyent.h>
#include <strings.h>
#include <unistd.h>

#include "own_wtmp.h"
#include "libutil.h"
extern void logwtmp(char *, char *, char *);

int init_utmp(reason)
char *reason;
{
  UTMP_T u;
  int f = -1;

  if(setttyent())
   {
    if((f = open(TAC_PLUS_UTMPFILE, O_WRONLY|O_CREAT|O_TRUNC, 0664)) >= 0)
     {
      bzero(&u, sizeof(u));
      time(&u.ut_time);

      while (getttyent())
        write(f, &u, sizeof(u));

      close(f);
      logwtmp("~", reason, "");
     }
    endttyent();
   }

  return (f < 0);
}
